## org.plovr.docgen
Class ClassDescriptor.Builder

    java.lang.Object
      org.plovr.docgen.ClassDescriptor.Builder

Enclosing class:
  ClassDescriptor

    public static class ClassDescriptor.Builder

extends Object

Method Summary
`void` `addInstanceMethod(MethodDescriptor instanceMethod)`
`void` `addStaticMethod(MethodDescriptor staticMethod)`
`ClassDescriptor` `build()`
`String` `getDescription()`
`MethodDescriptor` `getInstanceMethodByName(String name)`
`String` `getName()`
`TypeExpression` `getSuperClass()`
`void` `setDescription(String description)`
`void` `setName(String name)`
`void` `setSuperClass(TypeExpression superClass)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### build

    public ClassDescriptor build()

### getName

    public String getName()

### setName

    public void setName(String name)

### getSuperClass

    public TypeExpression getSuperClass()

### setSuperClass

    public void setSuperClass(TypeExpression superClass)

### getDescription

    public String getDescription()

### setDescription

    public void setDescription(String description)

### addInstanceMethod

    public void addInstanceMethod(MethodDescriptor instanceMethod)

### addStaticMethod

    public void addStaticMethod(MethodDescriptor staticMethod)

### getInstanceMethodByName

    public MethodDescriptor getInstanceMethodByName(String name)